﻿using Microsoft.SharePoint;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WingtipToysFieldTypes.FieldTypeClasses
{
    class CustomerLanguage : SPFieldText
    {
        public CustomerLanguage(SPFieldCollection fields, string fieldName)
            : base(fields, fieldName) { }

        public CustomerLanguage(SPFieldCollection fields, string typeName, string displayName)
            : base(fields, typeName, displayName) { }

        // add logic to make sure that English is the default language
        public override string DefaultValue
        {
            get
            {
                string defaultLanguage = "English";
                return defaultLanguage;
            }
        }

    }
   
}
